Package wx :: Package lib :: Module pydocview :: Class DocMDIParentFrameMixIn

[frames | no frames]

## Class DocMDIParentFrameMixIn

Known Subclasses:
  `DocMDIParentFrame`, `DocTabbedParentFrame`

Class with common code used by DocMDIParentFrame and DocTabbedParentFrame.

Method Summary
| ``CreateEmbeddedWindows`(self, windows, minSize)` Create the specified embedded windows around the edges of the frame.
| ``GetEmbeddedWindow`(self, loc)` Returns the instance of the embedded window specified by the embedded window location constant.
| ``HideEmbeddedWindow`(self, window)` Hides the embedded window specified by the embedded window location constant.
| ``ProcessEvent`(self, event)` Processes an event, searching event tables and calling zero or more suitable event handler function(s).
| ``ProcessUpdateUIEvent`(self, event)` Processes a UI event, searching event tables and calling zero or more suitable event handler function(s).
| ``SaveEmbeddedWindowSizes`(self)` Saves the sizes of the embedded windows.
| ``ShowEmbeddedWindow`(self, window, show)` Shows or hides the embedded window specified by the embedded window location constant.

Method Details

### CreateEmbeddedWindows(self, windows=0, minSize=20)

Create the specified embedded windows around the edges of the frame.

### GetEmbeddedWindow(self, loc)

Returns the instance of the embedded window specified by the embedded window location constant.

### HideEmbeddedWindow(self, window)

Hides the embedded window specified by the embedded window location constant.

### ProcessEvent(self, event)

Processes an event, searching event tables and calling zero or more suitable event handler function(s). Note that the ProcessEvent method is called from the wxPython docview framework directly since wxPython does not have a virtual ProcessEvent function.

### ProcessUpdateUIEvent(self, event)

Processes a UI event, searching event tables and calling zero or more suitable event handler function(s). Note that the ProcessEvent method is called from the wxPython docview framework directly since wxPython does not have a virtual ProcessEvent function.

### SaveEmbeddedWindowSizes(self)

Saves the sizes of the embedded windows.

### ShowEmbeddedWindow(self, window, show=True)

Shows or hides the embedded window specified by the embedded window location constant.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:38 2007 | http://epydoc.sf.net